Skip to main content
GET
/
v1
/
blocklist
List blocklist entries
curl --request GET \
  --url https://openapi.enginy.ai/v1/blocklist \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": 123,
      "value": "<string>",
      "expiresAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "id": 123,
        "name": "<string>"
      }
    }
  ],
  "meta": {
    "page": 123,
    "pageSize": 123,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.enginy.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

page
string
default:1

Page number for pagination. Minimum value is 1. Defaults to 1.

pageSize
string
default:25

Number of items per page. Minimum is 1, maximum is 100. Defaults to 25.

Case-insensitive substring match against the blocked value.

type
enum<string>

Filter by a specific blocked value type.

Available options:
EMAIL,
LINKEDIN_URL,
DOMAIN,
COMPANY_LINKEDIN_URL
source
enum<string>

Filter by the source that originally added the entry.

Available options:
BLACKLIST,
INBOX,
WORKFLOW,
CAMPAIGN,
LIST
reason
enum<string>

Filter by the reason the entry was added.

Available options:
NOT_INTERESTED,
COMPETITOR,
CUSTOMER,
NOT_TARGET,
OTHER,
CHURN

Response

200 - application/json

Paginated blocklist entries

data
object[]
required
meta
object
required